Core - Bug # 43691

Status: Closed Priority: Should have
Author: Johannes Krautschick Category:
Created: 2012-12-06 Assigned To:
Updated: 2014-02-20 Due date:
TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus:

Subject: Media Image Import is broken

Description

This code is also presented in the TYPO3 Wiki.
But with TYPOS3 6.0.0 this code delivers an ext_icon.gif and not the media of the rootpage.

lib.header_logo = IMAGE
lib.header_logo.file {
import = uploads/media/
import.required = 1
import.data = levelmedia:-1, slide
import.listNum =0

Regards

Related issues:

related to Core - Bug # 43708: leveluid with slide doesn't work across multip... Closed 2012-12-07
related to Core - Bug # 46383: levelmedia ignores sorting of media records Resolved 2013-03-17
History

#1 - 2012-12-09 17:51 - Johannes Krautschick

The solution of the related bug is is also helpful for this bug.

#2 - 2012-12-13 15:47 - Tobias Liebig

Could by solved by adding this TypoScript line:
lib.header_logo.file.treatldAsReference = 1

Can this bug get closed (no action required?)

#3 - 2012-12-13 15:48 - Tobias Liebig
- Status changed from New to Needs Feedback
- Assigned To set to Johannes Krautschick

@Johannes: could you point us the the wiki page, so someone can take care to add a note there (may you can do that too?)
#4 - 2012-12-14 11:11 - Johannes Krautschick

Here is the linkt to the wiki page: http://wiki.typo3.org/TypoScript Header_Image

| don't know how to change it.

#5 - 2013-01-25 09:23 - Kay no-lastname-given
And there is a bug in sorting... if i upload two images (A.gif, B.gif) in the media field and save. And than i change the sorting and save again. In
Frontend the sorting is still A,B and not B,A
#6 - 2013-06-13 17:50 - Stephan Bauer
Kay wrote:
And there is a bug in sorting... if i upload two images (A.gif, B.gif) in the media field and save. And than i change the sorting and save again. In
Frontend the sorting is still A,B and not B,A
Same problem with page resources. Sorting resources does not have an effect in the frontend.
lib.contentHeaderPic = IMAGE
lib.contentHeaderPic {
file.import.data = levelmedia:-1, slide

file.treatldAsReference = 1
file.import.listNum = 0

listNum = 0 show always the same image even if sorting changes.

#7 - 2013-07-03 23:55 - Alexander Opitz

- Target version deleted (6.0.1)

Hi Johannes Krautschick,

the wiki page changed, are the samples correct now?

@Kay and Stephan, then please open new issues on that and don't kidnap this one. :-)

#8 - 2014-02-20 17:26 - Alexander Opitz

- Status changed from Needs Feedback to Closed

- Assigned To deleted (Johannes Krautschick)
- Is Regression set to No

No feedback within the last 90 days => closing this ticket.
http://wiki.typo3.org/TypoScript_Header_Image

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and

an explanation or open a new ticket and add a relation to this ticket number.
